function [output] = iirqnt_trunc ( input ,bits)

%function to quantize the input "input" (range -1 to +1) by
%iirqnt_truncating to "bits" number of bits
%using 2's complement

%--------------------------
%programmer - Umesh Rajashekar
%Date - Jul 17,1999
%--------------------------

fac = max( abs( input));
input = input / fac;


input ( find (input ==1) ) = 1 - eps;

my_min = -1;
my_max = +1;
step_size = 2 / ( 2 ^ bits);

n_levels = 2^bits; 			%number of levels
levels = linspace (-1,1, n_levels +1 );%find the levels 
levels(end) = [];	%discard last level since 1 cannot be a valid level

index  = floor( (input - my_min)/ step_size ) + 1;
output = fac*levels(index);